LLVM: lldb::SBCommandInterpreterRunOptions Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
lldb::SBCommandInterpreterRunOptions Class Reference

`#include <SBCommandInterpreter.h>`

## Public Member Functions
| SBCommandInterpreterRunOptions ()
| ~SBCommandInterpreterRunOptions ()
bool | GetStopOnContinue () const
void | SetStopOnContinue (bool)
bool | GetStopOnError () const
void | SetStopOnError (bool)
bool | GetStopOnCrash () const
void | SetStopOnCrash (bool)
bool | GetEchoCommands () const
void | SetEchoCommands (bool)
bool | GetPrintResults () const
void | SetPrintResults (bool)
bool | GetAddToHistory () const
void | SetAddToHistory (bool)

## Friends
class | SBDebugger
class | SBCommandInterpreter

## Detailed Description

Definition at line 24 of file SBCommandInterpreter.h.

## Constructor & Destructor Documentation

lldb::SBCommandInterpreterRunOptions::SBCommandInterpreterRunOptions | ( |  | ) |

lldb::SBCommandInterpreterRunOptions::~SBCommandInterpreterRunOptions | ( |  | ) |

## Member Function Documentation

bool lldb::SBCommandInterpreterRunOptions::GetAddToHistory | ( |  | ) | const

bool lldb::SBCommandInterpreterRunOptions::GetEchoCommands | ( |  | ) | const

bool lldb::SBCommandInterpreterRunOptions::GetPrintResults | ( |  | ) | const

bool lldb::SBCommandInterpreterRunOptions::GetStopOnContinue | ( |  | ) | const

bool lldb::SBCommandInterpreterRunOptions::GetStopOnCrash | ( |  | ) | const

bool lldb::SBCommandInterpreterRunOptions::GetStopOnError | ( |  | ) | const

void lldb::SBCommandInterpreterRunOptions::SetAddToHistory | ( | bool |  | ) |

void lldb::SBCommandInterpreterRunOptions::SetEchoCommands | ( | bool |  | ) |

void lldb::SBCommandInterpreterRunOptions::SetPrintResults | ( | bool |  | ) |

void lldb::SBCommandInterpreterRunOptions::SetStopOnContinue | ( | bool |  | ) |

void lldb::SBCommandInterpreterRunOptions::SetStopOnCrash | ( | bool |  | ) |

void lldb::SBCommandInterpreterRunOptions::SetStopOnError | ( | bool |  | ) |

## Friends And Related Function Documentation

friend class SBCommandInterpreter
| friend

Definition at line 26 of file SBCommandInterpreter.h.

friend class SBDebugger
| friend

Definition at line 25 of file SBCommandInterpreter.h.

The documentation for this class was generated from the following file:

- SBCommandInterpreter.h